var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as classnames from "classnames";
import * as React from "react";
var cssClass = {
    CONTAINER: "Stepper--CheckMark",
};
var CheckMark = /** @class */ (function (_super) {
    __extends(CheckMark, _super);
    function CheckMark() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CheckMark.prototype.render = function () {
        var className = this.props.className;
        return (React.createElement("svg", { className: classnames(cssClass.CONTAINER, className), viewBox: "0 0 12 9", xmlns: "http://www.w3.org/2000/svg" },
            React.createElement("path", { d: "M11.612 2.081L4.568 8.934A.314.314 0 0 1 4.393 9a.314.314 0 0 1-.176-.066L.087 4.917c-.116-.114-.116-.228 0-.342l1.701-1.654c.117-.114.234-.114.35 0l2.255 2.206L9.56.085c.117-.113.234-.113.35 0l1.701 1.655c.117.113.117.227 0 .341z", fill: "#FFF", fillRule: "evenodd" })));
    };
    return CheckMark;
}(React.PureComponent));
export default CheckMark;
